<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="c6d0259a-16e1-410d-91a1-830590ee2a08" name="Changes" comment="ww">
      <change beforePath="$PROJECT_DIR$/.idea/workspace.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/workspace.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/Inscription_mgt.py" beforeDir="false" afterPath="$PROJECT_DIR$/Inscription_mgt.py" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/Log/log_file.log" beforeDir="false" afterPath="$PROJECT_DIR$/Log/log_file.log" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/emargement.py" beforeDir="false" afterPath="$PROJECT_DIR$/emargement.py" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/main.py" beforeDir="false" afterPath="$PROJECT_DIR$/main.py" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/survey_mgt.py" beforeDir="false" afterPath="$PROJECT_DIR$/survey_mgt.py" afterDir="false" />
    </list>
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Python Script" />
      </list>
    </option>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="MarkdownSettingsMigration">
    <option name="stateVersion" value="1" />
  </component>
  <component name="ProjectId" id="2O40wlXXU4LUU1KR1pTy4RUoafQ" />
  <component name="ProjectViewState">
    <option name="hideEmptyMiddlePackages" value="true" />
    <option name="showLibraryContents" value="true" />
  </component>
  <component name="PropertiesComponent">{
  &quot;keyToString&quot;: {
    &quot;RunOnceActivity.OpenProjectViewOnStart&quot;: &quot;true&quot;,
    &quot;RunOnceActivity.ShowReadmeOnStart&quot;: &quot;true&quot;,
    &quot;last_opened_file_path&quot;: &quot;C:/Users/billa/Documents/myclass.com/Siteweb/Production/Ela_back/Back_Office&quot;,
    &quot;settings.editor.selected.configurable&quot;: &quot;preferences.lookFeel&quot;
  }
}</component>
  <component name="RecentsManager">
    <key name="CopyFile.RECENT_KEYS">
      <recent name="C:\Users\billa\Documents\myclass.com\Siteweb\Production\Ela_back\Back_Office" />
    </key>
  </component>
  <component name="RunManager">
    <configuration name="main" type="PythonConfigurationType" factoryName="Python" nameIsGenerated="true">
      <module name="Back_Office" />
      <option name="INTERPRETER_OPTIONS" value="" />
      <option name="PARENT_ENVS" value="true" />
      <envs>
        <env name="PYTHONUNBUFFERED" value="1" />
      </envs>
      <option name="SDK_HOME" value="C:\Users\billa\AppData\Local\Programs\Python\Python310\python.exe" />
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$" />
      <option name="IS_MODULE_SDK" value="false" />
      <option name="ADD_CONTENT_ROOTS" value="true" />
      <option name="ADD_SOURCE_ROOTS" value="true" />
      <option name="SCRIPT_NAME" value="$PROJECT_DIR$/main.py" />
      <option name="PARAMETERS" value="" />
      <option name="SHOW_COMMAND_LINE" value="false" />
      <option name="EMULATE_TERMINAL" value="false" />
      <option name="MODULE_MODE" value="false" />
      <option name="REDIRECT_INPUT" value="false" />
      <option name="INPUT_FILE" value="" />
      <method v="2" />
    </configuration>
  </component>
  <component name="SpellCheckerSettings" RuntimeDictionaries="0" Folders="0" CustomDictionaries="0" DefaultDictionary="application-level" UseSingleDictionary="true" transferred="true" />
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="c6d0259a-16e1-410d-91a1-830590ee2a08" name="Changes" comment="" />
      <created>1680804787304</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1680804787304</updated>
    </task>
    <task id="LOCAL-00294" summary="dd">
      <created>1715448610311</created>
      <option name="number" value="00294" />
      <option name="presentableId" value="LOCAL-00294" />
      <option name="project" value="LOCAL" />
      <updated>1715448610313</updated>
    </task>
    <task id="LOCAL-00295" summary="ddsdfsd">
      <created>1715528112769</created>
      <option name="number" value="00295" />
      <option name="presentableId" value="LOCAL-00295" />
      <option name="project" value="LOCAL" />
      <updated>1715528112770</updated>
    </task>
    <task id="LOCAL-00296" summary="12/05/2024 - 21h30">
      <created>1715541456510</created>
      <option name="number" value="00296" />
      <option name="presentableId" value="LOCAL-00296" />
      <option name="project" value="LOCAL" />
      <updated>1715541456510</updated>
    </task>
    <task id="LOCAL-00297" summary="13/05/2024 - 18h30">
      <created>1715618340942</created>
      <option name="number" value="00297" />
      <option name="presentableId" value="LOCAL-00297" />
      <option name="project" value="LOCAL" />
      <updated>1715618340942</updated>
    </task>
    <task id="LOCAL-00298" summary="14/05/2024 - 21h30">
      <created>1715714868339</created>
      <option name="number" value="00298" />
      <option name="presentableId" value="LOCAL-00298" />
      <option name="project" value="LOCAL" />
      <updated>1715714868342</updated>
    </task>
    <task id="LOCAL-00299" summary="sds">
      <created>1715795512375</created>
      <option name="number" value="00299" />
      <option name="presentableId" value="LOCAL-00299" />
      <option name="project" value="LOCAL" />
      <updated>1715795512375</updated>
    </task>
    <task id="LOCAL-00300" summary="sdsdd">
      <created>1715805416758</created>
      <option name="number" value="00300" />
      <option name="presentableId" value="LOCAL-00300" />
      <option name="project" value="LOCAL" />
      <updated>1715805416759</updated>
    </task>
    <task id="LOCAL-00301" summary="ddd">
      <created>1715857414078</created>
      <option name="number" value="00301" />
      <option name="presentableId" value="LOCAL-00301" />
      <option name="project" value="LOCAL" />
      <updated>1715857414079</updated>
    </task>
    <task id="LOCAL-00302" summary="ddd">
      <created>1715884005756</created>
      <option name="number" value="00302" />
      <option name="presentableId" value="LOCAL-00302" />
      <option name="project" value="LOCAL" />
      <updated>1715884005756</updated>
    </task>
    <task id="LOCAL-00303" summary="17/05/2024 - 21h30">
      <created>1715973566772</created>
      <option name="number" value="00303" />
      <option name="presentableId" value="LOCAL-00303" />
      <option name="project" value="LOCAL" />
      <updated>1715973566773</updated>
    </task>
    <task id="LOCAL-00304" summary="sdf">
      <created>1716053773665</created>
      <option name="number" value="00304" />
      <option name="presentableId" value="LOCAL-00304" />
      <option name="project" value="LOCAL" />
      <updated>1716053773666</updated>
    </task>
    <task id="LOCAL-00305" summary="18/05/2024 - 22h30">
      <created>1716064737342</created>
      <option name="number" value="00305" />
      <option name="presentableId" value="LOCAL-00305" />
      <option name="project" value="LOCAL" />
      <updated>1716064737343</updated>
    </task>
    <task id="LOCAL-00306" summary="19/05/2024 - 22h15">
      <created>1716149736394</created>
      <option name="number" value="00306" />
      <option name="presentableId" value="LOCAL-00306" />
      <option name="project" value="LOCAL" />
      <updated>1716149736394</updated>
    </task>
    <task id="LOCAL-00307" summary="20/05/2024 - 14h00">
      <created>1716206194944</created>
      <option name="number" value="00307" />
      <option name="presentableId" value="LOCAL-00307" />
      <option name="project" value="LOCAL" />
      <updated>1716206194944</updated>
    </task>
    <task id="LOCAL-00308" summary="20/05/2024 - 22h00">
      <created>1716233337268</created>
      <option name="number" value="00308" />
      <option name="presentableId" value="LOCAL-00308" />
      <option name="project" value="LOCAL" />
      <updated>1716233337269</updated>
    </task>
    <task id="LOCAL-00309" summary="21/05/2024 - 21h">
      <created>1716318314386</created>
      <option name="number" value="00309" />
      <option name="presentableId" value="LOCAL-00309" />
      <option name="project" value="LOCAL" />
      <updated>1716318314387</updated>
    </task>
    <task id="LOCAL-00310" summary="sdsqq">
      <created>1716399333864</created>
      <option name="number" value="00310" />
      <option name="presentableId" value="LOCAL-00310" />
      <option name="project" value="LOCAL" />
      <updated>1716399333865</updated>
    </task>
    <task id="LOCAL-00311" summary="sdsqq">
      <created>1716483578232</created>
      <option name="number" value="00311" />
      <option name="presentableId" value="LOCAL-00311" />
      <option name="project" value="LOCAL" />
      <updated>1716483578233</updated>
    </task>
    <task id="LOCAL-00312" summary="ss">
      <created>1716568731554</created>
      <option name="number" value="00312" />
      <option name="presentableId" value="LOCAL-00312" />
      <option name="project" value="LOCAL" />
      <updated>1716568731554</updated>
    </task>
    <task id="LOCAL-00313" summary="gdfgdf">
      <created>1716732752643</created>
      <option name="number" value="00313" />
      <option name="presentableId" value="LOCAL-00313" />
      <option name="project" value="LOCAL" />
      <updated>1716732752644</updated>
    </task>
    <task id="LOCAL-00314" summary="26/05/2024 - 20h30">
      <created>1716748087881</created>
      <option name="number" value="00314" />
      <option name="presentableId" value="LOCAL-00314" />
      <option name="project" value="LOCAL" />
      <updated>1716748087883</updated>
    </task>
    <task id="LOCAL-00315" summary="qsdsq">
      <created>1716822032749</created>
      <option name="number" value="00315" />
      <option name="presentableId" value="LOCAL-00315" />
      <option name="project" value="LOCAL" />
      <updated>1716822032753</updated>
    </task>
    <task id="LOCAL-00316" summary="qsdsq">
      <created>1716925262987</created>
      <option name="number" value="00316" />
      <option name="presentableId" value="LOCAL-00316" />
      <option name="project" value="LOCAL" />
      <updated>1716925262988</updated>
    </task>
    <task id="LOCAL-00317" summary="qsdsqqsdsq">
      <created>1717062509327</created>
      <option name="number" value="00317" />
      <option name="presentableId" value="LOCAL-00317" />
      <option name="project" value="LOCAL" />
      <updated>1717062509328</updated>
    </task>
    <task id="LOCAL-00318" summary="sd">
      <created>1717150367241</created>
      <option name="number" value="00318" />
      <option name="presentableId" value="LOCAL-00318" />
      <option name="project" value="LOCAL" />
      <updated>1717150367241</updated>
    </task>
    <task id="LOCAL-00319" summary="sss">
      <created>1717159892367</created>
      <option name="number" value="00319" />
      <option name="presentableId" value="LOCAL-00319" />
      <option name="project" value="LOCAL" />
      <updated>1717159892368</updated>
    </task>
    <task id="LOCAL-00320" summary="01/06/2024 - 14h30">
      <created>1717245781084</created>
      <option name="number" value="00320" />
      <option name="presentableId" value="LOCAL-00320" />
      <option name="project" value="LOCAL" />
      <updated>1717245781085</updated>
    </task>
    <task id="LOCAL-00321" summary="qsdsq">
      <created>1717533847419</created>
      <option name="number" value="00321" />
      <option name="presentableId" value="LOCAL-00321" />
      <option name="project" value="LOCAL" />
      <updated>1717533847419</updated>
    </task>
    <task id="LOCAL-00322" summary="qsdsq">
      <created>1717577652189</created>
      <option name="number" value="00322" />
      <option name="presentableId" value="LOCAL-00322" />
      <option name="project" value="LOCAL" />
      <updated>1717577652191</updated>
    </task>
    <task id="LOCAL-00323" summary="qsdsqsqdsq">
      <created>1717601060943</created>
      <option name="number" value="00323" />
      <option name="presentableId" value="LOCAL-00323" />
      <option name="project" value="LOCAL" />
      <updated>1717601060943</updated>
    </task>
    <task id="LOCAL-00324" summary="05/06/2024 - 23h">
      <created>1717621132734</created>
      <option name="number" value="00324" />
      <option name="presentableId" value="LOCAL-00324" />
      <option name="project" value="LOCAL" />
      <updated>1717621132735</updated>
    </task>
    <task id="LOCAL-00325" summary="06/06/2024 - 12h">
      <created>1717668732175</created>
      <option name="number" value="00325" />
      <option name="presentableId" value="LOCAL-00325" />
      <option name="project" value="LOCAL" />
      <updated>1717668732176</updated>
    </task>
    <task id="LOCAL-00326" summary="06/06/2024 - 20h">
      <created>1717697890411</created>
      <option name="number" value="00326" />
      <option name="presentableId" value="LOCAL-00326" />
      <option name="project" value="LOCAL" />
      <updated>1717697890412</updated>
    </task>
    <task id="LOCAL-00327" summary="07/06/2024 - 22h30">
      <created>1717791275942</created>
      <option name="number" value="00327" />
      <option name="presentableId" value="LOCAL-00327" />
      <option name="project" value="LOCAL" />
      <updated>1717791275945</updated>
    </task>
    <task id="LOCAL-00328" summary="ssq">
      <created>1717867948694</created>
      <option name="number" value="00328" />
      <option name="presentableId" value="LOCAL-00328" />
      <option name="project" value="LOCAL" />
      <updated>1717867948695</updated>
    </task>
    <task id="LOCAL-00329" summary="qqsd">
      <created>1718034595563</created>
      <option name="number" value="00329" />
      <option name="presentableId" value="LOCAL-00329" />
      <option name="project" value="LOCAL" />
      <updated>1718034595564</updated>
    </task>
    <task id="LOCAL-00330" summary="11/06/2024 - 23h30">
      <created>1718141094205</created>
      <option name="number" value="00330" />
      <option name="presentableId" value="LOCAL-00330" />
      <option name="project" value="LOCAL" />
      <updated>1718141094207</updated>
    </task>
    <task id="LOCAL-00331" summary="12/06/2024 - 21h30">
      <created>1718220447607</created>
      <option name="number" value="00331" />
      <option name="presentableId" value="LOCAL-00331" />
      <option name="project" value="LOCAL" />
      <updated>1718220447608</updated>
    </task>
    <task id="LOCAL-00332" summary="15/06/2024 - 21h30">
      <created>1718490413169</created>
      <option name="number" value="00332" />
      <option name="presentableId" value="LOCAL-00332" />
      <option name="project" value="LOCAL" />
      <updated>1718490413170</updated>
    </task>
    <task id="LOCAL-00333" summary="17/06/2024 - 21h30">
      <created>1718656591744</created>
      <option name="number" value="00333" />
      <option name="presentableId" value="LOCAL-00333" />
      <option name="project" value="LOCAL" />
      <updated>1718656591746</updated>
    </task>
    <task id="LOCAL-00334" summary="18/06/2024 - 21h30">
      <created>1718744595262</created>
      <option name="number" value="00334" />
      <option name="presentableId" value="LOCAL-00334" />
      <option name="project" value="LOCAL" />
      <updated>1718744595263</updated>
    </task>
    <task id="LOCAL-00335" summary="ss">
      <created>1718903703379</created>
      <option name="number" value="00335" />
      <option name="presentableId" value="LOCAL-00335" />
      <option name="project" value="LOCAL" />
      <updated>1718903703380</updated>
    </task>
    <task id="LOCAL-00336" summary="21/06/24 - 22h30">
      <created>1719001828472</created>
      <option name="number" value="00336" />
      <option name="presentableId" value="LOCAL-00336" />
      <option name="project" value="LOCAL" />
      <updated>1719001828472</updated>
    </task>
    <task id="LOCAL-00337" summary="22/06/24 - 17h30">
      <created>1719069758164</created>
      <option name="number" value="00337" />
      <option name="presentableId" value="LOCAL-00337" />
      <option name="project" value="LOCAL" />
      <updated>1719069758165</updated>
    </task>
    <task id="LOCAL-00338" summary="qsds">
      <created>1719094222659</created>
      <option name="number" value="00338" />
      <option name="presentableId" value="LOCAL-00338" />
      <option name="project" value="LOCAL" />
      <updated>1719094222662</updated>
    </task>
    <task id="LOCAL-00339" summary="qsds">
      <created>1719144150975</created>
      <option name="number" value="00339" />
      <option name="presentableId" value="LOCAL-00339" />
      <option name="project" value="LOCAL" />
      <updated>1719144150976</updated>
    </task>
    <task id="LOCAL-00340" summary="26/06/2024 - 19h30">
      <created>1719423411649</created>
      <option name="number" value="00340" />
      <option name="presentableId" value="LOCAL-00340" />
      <option name="project" value="LOCAL" />
      <updated>1719423411649</updated>
    </task>
    <task id="LOCAL-00341" summary="ww">
      <created>1719519702779</created>
      <option name="number" value="00341" />
      <option name="presentableId" value="LOCAL-00341" />
      <option name="project" value="LOCAL" />
      <updated>1719519702780</updated>
    </task>
    <task id="LOCAL-00342" summary="ww">
      <created>1719675793617</created>
      <option name="number" value="00342" />
      <option name="presentableId" value="LOCAL-00342" />
      <option name="project" value="LOCAL" />
      <updated>1719675793618</updated>
    </task>
    <option name="localTasksCounter" value="343" />
    <servers />
  </component>
  <component name="Vcs.Log.Tabs.Properties">
    <option name="TAB_STATES">
      <map>
        <entry key="MAIN">
          <value>
            <State>
              <option name="FILTERS">
                <map>
                  <entry key="branch">
                    <value>
                      <list>
                        <option value="origin/master" />
                      </list>
                    </value>
                  </entry>
                </map>
              </option>
            </State>
          </value>
        </entry>
      </map>
    </option>
    <option name="RECENT_FILTERS">
      <map>
        <entry key="Branch">
          <value>
            <list>
              <RecentGroup>
                <option name="FILTER_VALUES">
                  <option value="origin/master" />
                </option>
              </RecentGroup>
            </list>
          </value>
        </entry>
      </map>
    </option>
  </component>
  <component name="VcsManagerConfiguration">
    <MESSAGE value="gdfgdf" />
    <MESSAGE value="26/05/2024 - 20h30" />
    <MESSAGE value="qsdsqqsdsq" />
    <MESSAGE value="sd" />
    <MESSAGE value="sss" />
    <MESSAGE value="01/06/2024 - 14h30" />
    <MESSAGE value="qsdsq" />
    <MESSAGE value="qsdsqsqdsq" />
    <MESSAGE value="05/06/2024 - 23h" />
    <MESSAGE value="06/06/2024 - 12h" />
    <MESSAGE value="06/06/2024 - 20h" />
    <MESSAGE value="07/06/2024 - 22h30" />
    <MESSAGE value="ssq" />
    <MESSAGE value="qqsd" />
    <MESSAGE value="11/06/2024 - 23h30" />
    <MESSAGE value="12/06/2024 - 21h30" />
    <MESSAGE value="15/06/2024 - 21h30" />
    <MESSAGE value="17/06/2024 - 21h30" />
    <MESSAGE value="18/06/2024 - 21h30" />
    <MESSAGE value="ss" />
    <MESSAGE value="21/06/24 - 22h30" />
    <MESSAGE value="22/06/24 - 17h30" />
    <MESSAGE value="qsds" />
    <MESSAGE value="26/06/2024 - 19h30" />
    <MESSAGE value="ww" />
    <option name="LAST_COMMIT_MESSAGE" value="ww" />
  </component>
</project>